Tool: list_billing_account_prices
Lists the billing account prices for a billing account.
The following code sample shows how to use curl to call the list_billing_account_prices MCP tool.
| Curl Request |
|---|
curl --location 'https://cloudbilling.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_billing_account_prices", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for ListBillingAccountPrice.
ListBillingAccountPricesRequest
| JSON representation |
|---|
{ "parent": string, "currencyCode": string, "pageSize": integer, "pageToken": string } |
| Fields | |
|---|---|
parent |
Required. To list all Billing Account SKUs, use Note: Specifying an actual SKU resource id will return a collection of one Billing Account Price. |
currencyCode |
Optional. ISO-4217 currency code for the price. If not specified, currency of billing account will be used. |
pageSize |
Optional. Maximum number of |
pageToken |
Optional. Page token received from a previous |
Output Schema
Response message for ListBillingAccountPrices.
ListBillingAccountPricesResponse
| JSON representation |
|---|
{
"billingAccountPrices": [
{
object ( |
| Fields | |
|---|---|
billingAccountPrices[] |
The returned |
nextPageToken |
Token that can be sent as |
BillingAccountPrice
| JSON representation |
|---|
{
"name": string,
"currencyCode": string,
"skuPrices": [
{
object ( |
| Fields | |
|---|---|
name |
Identifier. Resource name for the latest billing account price. |
currencyCode |
ISO-4217 currency code for the price. |
skuPrices[] |
consumption model price for the |
SkuPrice
| JSON representation |
|---|
{ "consumptionModel": string, "consumptionModelDescription": string, "valueType": string, "priceReason": { object ( |
| Fields | |
|---|---|
consumptionModel |
Resource name of the consumption model. |
consumptionModelDescription |
Description of the consumption model. Example: "Default", "BigQuery CUD - 1 Year". |
valueType |
Type of the price. The possible values are: ["unspecified", "rate"]. |
priceReason |
Background information on the origin of the price. |
Union field value. Value of the price. value can be only one of the following: |
|
rate |
Rate price metadata. |
Rate
| JSON representation |
|---|
{ "tiers": [ { object ( |
| Fields | |
|---|---|
tiers[] |
All tiers associated with the |
unitInfo |
Unit info such as name and quantity. |
aggregationInfo |
Aggregation info for tiers such as aggregation level and interval. |
RateTier
| JSON representation |
|---|
{ "startAmount": { object ( |
| Fields | |
|---|---|
startAmount |
Lower bound amount for a tier. Tiers 0-100, 100-200 will be represented with two tiers with |
listPrice |
List price of one tier. |
contractPrice |
Negotiated contract price specific for a billing account. |
effectiveDiscountPercent |
Percentage of effective discount calculated using the current list price per pricing tier. Formula used: effective_discount_percent = (list_price - contract_price) / list_price × 100 If list_price and contract_price are zero, this field is the same as |
Decimal
| JSON representation |
|---|
{ "value": string } |
| Fields | |
|---|---|
value |
The decimal value, as a string. The string representation consists of an optional sign, The fraction consists of a decimal point followed by zero or more decimal digits. The string must contain at least one digit in either the integer or the fraction. The number formed by the sign, the integer and the fraction is referred to as the significand. The exponent consists of the character Services should normalize decimal values before storing them by:
Services may perform additional normalization based on its own needs and the internal decimal implementation selected, such as shifting the decimal point and exponent value together (example: Note that only the The ENBF grammar is: Services should clearly document the range of supported values, the maximum supported precision (total number of digits), and, if applicable, the scale (number of digits after the decimal point), as well as how it behaves when receiving out-of-bounds values. Services may choose to accept values passed as input even when the value has a higher precision or scale than the service supports, and should round the value to fit the supported scale. Alternatively, the service may error with Services should error with |
Money
| JSON representation |
|---|
{ "currencyCode": string, "units": string, "nanos": integer } |
| Fields | |
|---|---|
currencyCode |
The three-letter currency code defined in ISO 4217. |
units |
The whole units of the amount. For example if |
nanos |
Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If |
UnitInfo
| JSON representation |
|---|
{
"unit": string,
"unitDescription": string,
"unitQuantity": {
object ( |
| Fields | |
|---|---|
unit |
Shorthand for the unit. Example: GiBy.mo. |
unitDescription |
Human-readable description of the unit. Example: gibibyte month. |
unitQuantity |
Unit quantity for the tier. Example: if the RateTier price is $1 per 1000000 Bytes, then |
AggregationInfo
| JSON representation |
|---|
{ "level": enum ( |
| Fields | |
|---|---|
level |
Level at which usage is aggregated to compute cost. Example: "ACCOUNT" level indicates that usage is aggregated across all projects in a single account. |
interval |
Interval at which usage is aggregated to compute cost. Example: "MONTHLY" interval indicates that usage is aggregated every month. |
PriceReason
| JSON representation |
|---|
{ "type": string, // Union field |
| Fields | |
|---|---|
type |
Type of the price reason. It can have values such as 'unspecified', 'default-price', 'fixed-price', 'fixed-discount', 'floating-discount', 'migrated-price', 'merged-price', 'list-price-as-ceiling'. |
Union field metadata. Metadata of the price reason. metadata can be only one of the following: |
|
defaultPrice |
Default price which is the current list price. |
fixedPrice |
Fixed price applicable during the terms of a contract agreement. |
fixedDiscount |
Discount off the list price, anchored to the list price as of a fixed time. |
floatingDiscount |
Discount off the current list price, not anchored to any list price as of a fixed time. |
migratedPrice |
Price migrated from other SKUs. |
mergedPrice |
Price after merging from multiple sources. |
listPriceAsCeiling |
Contract feature that the list price (DefaultPrice) will be used for the price if the current list price drops lower than the custom fixed price. Available to new contracts after March 21, 2022. Applies to all fixed price SKUs in the contract, including |
FixedDiscount
| JSON representation |
|---|
{ "discountPercent": { object ( |
| Fields | |
|---|---|
discountPercent |
Percentage of the fixed discount. |
fixTime |
Time that the fixed discount is anchored to. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
discountScopeType |
Type of the fixed discount scope which indicates the source of the discount. It can have values such as 'unspecified' and 'sku-group'. |
Union field discount_scope. The scope of the fixed discount. discount_scope can be only one of the following: |
|
skuGroup |
SKU group where the fixed discount comes from. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
FloatingDiscount
| JSON representation |
|---|
{ "discountPercent": { object ( |
| Fields | |
|---|---|
discountPercent |
Percentage of the floating discount. |
discountScopeType |
Type of the floating discount scope which indicates the source of the discount. It can have values such as 'unspecified' and 'sku-group'. |
Union field discount_scope. The scope of the floating discount. discount_scope can be only one of the following: |
|
skuGroup |
SKU group where the floating discount comes from. |
MigratedPrice
| JSON representation |
|---|
{ "sourceSku": string } |
| Fields | |
|---|---|
sourceSku |
Source SKU where the discount is migrated from. Format: billingAccounts/{billing_account}/skus/{sku} |
Level
Different aggregation levels.
| Enums | |
|---|---|
LEVEL_UNSPECIFIED |
Default unspecified value. |
LEVEL_ACCOUNT |
Usage is aggregated at an account level. |
LEVEL_PROJECT |
Usage is aggregated at a project level. |
Interval
Different aggregation intervals.
| Enums | |
|---|---|
INTERVAL_UNSPECIFIED |
Default unspecified value. |
INTERVAL_MONTHLY |
Usage is aggregated every month. |
INTERVAL_DAILY |
Usage is aggregated every day. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌